# Uses of Class
org.eclipse.jdt.core.dom.AssertStatement

Packages that use AssertStatement
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of AssertStatement in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return AssertStatement
Modifier and Type
Method
Description
`AssertStatement`
AST.`newAssertStatement()`
Creates a new unparented assert statement node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type AssertStatement
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(AssertStatement node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(AssertStatement node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(AssertStatement node)`
Visits the given type-specific AST node.